Subject: Re: BUG: Fatal in exception in interrupt, at nf_conncount_count [regression in 4.19(.1)]

From: Bruno Prémont <[email-masked]>
Date: Tue, 13 Nov 2018 08:52:57 +0100

On Mon, 12 Nov 2018 15:10:45 +0100 Florian Westphal wrote:
> Bruno Prémont <[email-masked]> wrote:
> > Hi,
> > 
> > With linux-4.19.1 I'm seeing regular kernel panics since this night
> > with uptime of 5 to 30 minutes in between. System is not heavily loaded.  
> [..]
> 
> > It looks like those locking related changes may be the cause.  
> 
> Yes.
> 
> > Bisecting it will be hard as I don't have exact packet stream  
> 
> No need.  Can you give these three patches a try?
> 
> https://patchwork.ozlabs.org/project/netfilter-devel/list/?series=73972

I applied them yesterday evening and until now system survived
without panic or other anomaly.

If the fix is confirmed, don't forget to let the patches go to
stable 4.19.x kernels!

Thanks,
Bruno